/* everything */

:root {
    --main: #33aa33;
    --gray: #414143;
}

* {
    font-family: "magistral", sans-serif;
    font-weight: 700;
    font-style: normal;

    gap: 0;
    margin: 0;

    transition: all 0.1s;
}

body {
    background-color: #222222;
    color: white;
}

a {
    color: inherit;
    text-decoration: none;
}
a:hover {
    transform: scale(1.1);
}

/* universal for dashboard */

header .head {
    display: flex;
    align-items: center;
    gap: 50px;

    font-size: 100%;
}
.head img {
    width: 10%;
    height: 10%;

    margin: 20px 0 0 20px;
}

.line {
    border: 5px solid var(--gray);
}

nav {
    color: #ccc;

    margin-top: 30px;

    text-align: right;
    margin-left: auto;
    margin-right: 50px;

    display: flex;
    gap: 50px;

    font-size: 120%;
}

#selected {
    color: white;
    transform: scale(1.3);
}

main {
    text-align: center;
    margin-top: 50px;
    color: white;
}

footer {
    height: 50px;
    margin-top: 100px;
    justify-content: center;
    display: flex;
    gap: 8px;
}

/* homepage */

.home {
    gap: 50px;
    display: grid;
    grid-template-columns: auto auto auto auto;

    justify-content: center;
}

.homecard {
    width: 400px;
    height: 400px;

    border: 5px solid var(--main);
    border-radius: 20px;

    display: flex;
    flex-direction: column;
    justify-content: center;
}
.homecard img {
    width: 50%;
    height: 50%;
}
.discord {
    border-color: #00aaff;
    align-items: center;
}

/* event rules */

.rules {
    color: white;

    margin-top: 50px;
    justify-content: center;
    text-align: center;

    display: grid;
    grid-template-columns: auto auto auto;

    gap: 50px;
}

.card {
    width: 500px;
    height: 700px;

    font-size: 110%;

    border: 5px solid var(--gray);
    border-radius: 20px;
}
.card h2,p,#spacing {
    margin-top: 20px;
}

#rules {
    margin-left: 50px;
    text-align: left;
}


/* stations page */

#stationbanner {
    width: 100%;
    height: 500px;

    margin-top: 20px;

    background-image: url(https://i.postimg.cc/vmYGxXqN/image.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
}

#title {
    text-align: center;
    font-size: 120%;

    margin-top: 70px;
}

#stations-container {
    display: grid;
    grid-template-columns: auto auto auto auto;

    margin-top: 30px;
    justify-content: center;
    gap: 50px;
}

.station {
    width: 350px;
    height: auto;

    border: 5px solid var(--gray);
    border-radius: 10px;

    text-align: center;
}
.station h3 {
    margin-top: 15px;
    margin-bottom: 15px;
}
.station h4 {
    margin-top: 15px;
    margin-bottom: 15px;
}

.station ul {
    background-color: #303030;
    margin-bottom: 10px;
    border-radius: 10px;
}

/* staff activity page */

.staffcontainer {
    margin-top: 100px;

    display: grid;
    grid-template-columns: auto auto auto;
    gap: 20px;

    justify-content: center;
}

.staff {
    width: 450px;
    height: 80px;

    border: 5px solid;
    border-radius: 20px;
    border-image: linear-gradient(to right, #aaf048, #f9e866) 1;

    display: flex;

    font-size: 80%;

    align-items: center;
}

.pfp {
    width: 50px;
    height: 50px;

    align-self: center;
    margin-left: 10px;
}

#devimg {
    width: 30px;
    height: 30px;
}

.staff h2 {
    margin-left: 10px;
}
.stationinfo {
    margin-left: auto;
    margin-right: 10px;
    text-align: right;
}
.webdev {
    border-image: linear-gradient(to right, #ff0000, #a100ff) 1;
}
.admin { 
    border-image: linear-gradient(to right, #7313e2, #abbefe) 1;
}
.hes { 
    border-image: linear-gradient(to right, #fad126, #ff564e) 1; 
}
.triales { 
    border-image: linear-gradient(to right, #16730e, #cbffdb) 1; 
}


/* styling for smaller screens */

@media (max-width: 1600px) {

    /* homepage */

    .home {
        grid-template-columns: auto auto auto;
    }

    .homecard {
        width: 300px;
        height: 300px;

        font-size: 80%;
    }

    /* staff activity */

    .staffcontainer {
        grid-template-columns: auto auto;
    }
}

@media (max-width: 1000px) {

    /* universal */

    nav {
        font-size: 90%;
        gap: 15px;
    }

    #selected {
        transform: scale(1.2);
    }

    /* stations */

    #stations-container {
        grid-template-columns: auto;
    }
}

@media (max-width: 900px) {
    .staffcontainer {
        grid-template-columns: auto;
    }
}

@media (max-width: 700px) {

    /* universal */

    nav {
        font-size: 70%;
    }

    /* homepage */

    .home {
        grid-template-columns: auto;
    }
}